Bug 40829 - /usr/bin/ld: OpenDis.o: @gprel relocation against dynamic symbol _XInitDisplayLock_fn
/usr/bin/ld: OpenDis.o: @gprel relocation against dynamic symbol _XInitDispla...
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils (Show other bugs)
1.0
ia64 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-16 00:37 EDT by Elliot Lee
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 12:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2001-05-16 00:37:52 EDT
[root@boris Python-2.1]# gcc -shared build/temp.linux-ia64-2.1/_tkinter.o
build/temp.linux-ia64-2.1/tkappinit.o -L/usr/X11R6/lib
-L/usr/local/lib -ltk8.3 -ltcl8.3 -lX11 -o build/lib.linux-ia64-2.1/_tkinter.so
/usr/bin/ld: OpenDis.o: @gprel relocation against dynamic symbol
_XInitDisplayLock_fn
/usr/bin/ld: OpenDis.o: @gprel relocation against dynamic symbol
_XFreeDisplayLock_fn
collect2: ld returned 1 exit status

[root@boris Python-2.1]# rpm -q gcc binutils
gcc-2.96-85
binutils-2.10.91.0.2-3
Comment 1 Bill Nottingham 2001-05-16 02:48:01 EDT
Where are you linking in _XInitDisplayLock_fn from? Is it compiled with
-fPIC?

On ia64 you can't (generally) link non-fPIC code into a shared object.
Comment 2 Jakub Jelinek 2001-09-06 13:14:59 EDT
Assuming this was what Bill described...

Note You need to log in before you can comment on or make changes to this bug.